> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alphax.asia/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alphax.asia/_mcp/server.

# Create a card holder

POST https://public-api.alphax.com/v1/card-holders
Content-Type: application/json

Address lines are limited to 30 characters.

Reference: https://docs.alphax.asia/api-reference/card-api/card-holders/create-card-holder

## Authentication

- `X-API-Key` header (required) — Your partner API key.

## Servers

- `https://public-api.alphax.com` (Production server, default)
- `https://public-api.demo.alphax.asia` (Staging (sandbox) server)

## Request

### Headers

- `X-Company-Id` (string, required) — The company you are acting for (a company ULID).

### Body (application/json)

- `firstName` (string, required)
- `lastName` (string, required)
- `email` (string, required)
- `dateOfBirth` (date, required)
- `phone` (string, required)
- `addressLine1` (string, required)
- `city` (string, required)
- `countryCode` (string, required)
- `addressLine2` (string, optional)
- `state` (string, optional) — Required when `countryCode` is US.
- `postalCode` (string, optional) — Required unless `countryCode` is HK.

## Response

### 201

Card holder created

- `cardHolder` (object, optional)
  - `id` (string, optional)
  - `name` (string, optional)
  - `email` (string, optional)
  - `status` (string, optional)
  - `createdAt` (datetime, optional)

## Examples

**Request**

```json
{
  "firstName": "John",
  "lastName": "Holder",
  "email": "john@acme.example",
  "dateOfBirth": "1992-05-20",
  "phone": "+14155550123",
  "addressLine1": "1 Market St",
  "city": "San Francisco",
  "countryCode": "US"
}
```

**Response**

```json
{
  "cardHolder": {
    "id": "01KZ2CARDHOLDERULID",
    "name": "John Holder",
    "email": "john@acme.example",
    "status": "ACTIVE",
    "createdAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://public-api.alphax.com/v1/card-holders"

payload = {
    "firstName": "John",
    "lastName": "Holder",
    "email": "john@acme.example",
    "dateOfBirth": "1992-05-20",
    "phone": "+14155550123",
    "addressLine1": "1 Market St",
    "city": "San Francisco",
    "countryCode": "US"
}
headers = {
    "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/v1/card-holders';
const options = {
  method: 'POST',
  headers: {
    'X-Company-Id': '01KZ2WJKWVFPCVAB6MY106QRZV',
    'X-API-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"firstName":"John","lastName":"Holder","email":"john@acme.example","dateOfBirth":"1992-05-20","phone":"+14155550123","addressLine1":"1 Market St","city":"San Francisco","countryCode":"US"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/v1/card-holders"

	payload := strings.NewReader("{\n  \"firstName\": \"John\",\n  \"lastName\": \"Holder\",\n  \"email\": \"john@acme.example\",\n  \"dateOfBirth\": \"1992-05-20\",\n  \"phone\": \"+14155550123\",\n  \"addressLine1\": \"1 Market St\",\n  \"city\": \"San Francisco\",\n  \"countryCode\": \"US\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/v1/card-holders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Company-Id"] = '01KZ2WJKWVFPCVAB6MY106QRZV'
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"firstName\": \"John\",\n  \"lastName\": \"Holder\",\n  \"email\": \"john@acme.example\",\n  \"dateOfBirth\": \"1992-05-20\",\n  \"phone\": \"+14155550123\",\n  \"addressLine1\": \"1 Market St\",\n  \"city\": \"San Francisco\",\n  \"countryCode\": \"US\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://public-api.alphax.com/v1/card-holders")
  .header("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"firstName\": \"John\",\n  \"lastName\": \"Holder\",\n  \"email\": \"john@acme.example\",\n  \"dateOfBirth\": \"1992-05-20\",\n  \"phone\": \"+14155550123\",\n  \"addressLine1\": \"1 Market St\",\n  \"city\": \"San Francisco\",\n  \"countryCode\": \"US\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://public-api.alphax.com/v1/card-holders', [
  'body' => '{
  "firstName": "John",
  "lastName": "Holder",
  "email": "john@acme.example",
  "dateOfBirth": "1992-05-20",
  "phone": "+14155550123",
  "addressLine1": "1 Market St",
  "city": "San Francisco",
  "countryCode": "US"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
    'X-Company-Id' => '01KZ2WJKWVFPCVAB6MY106QRZV',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/v1/card-holders");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV");
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"firstName\": \"John\",\n  \"lastName\": \"Holder\",\n  \"email\": \"john@acme.example\",\n  \"dateOfBirth\": \"1992-05-20\",\n  \"phone\": \"+14155550123\",\n  \"addressLine1\": \"1 Market St\",\n  \"city\": \"San Francisco\",\n  \"countryCode\": \"US\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "firstName": "John",
  "lastName": "Holder",
  "email": "john@acme.example",
  "dateOfBirth": "1992-05-20",
  "phone": "+14155550123",
  "addressLine1": "1 Market St",
  "city": "San Francisco",
  "countryCode": "US"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/v1/card-holders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```